<h1>Quote Record Rules</h1>


<% if @rule %>
 <%= form_for @rule, :url=>{action: :create}, :method=>:POST do |f| %>
  <fieldset id='quoterecord_rule'>
      <legend><%= if @rule.id then 'Edit Rule' else 'Add Rule' end %></legend>
        <%= f.hidden_field :id %>

        <%= f.number_field :order, :min=>1 %>
        <%= f.text_field :name, :placeholder=>'Name' %>
        <br/>
        <%= select_tag :related_columns, options_for_select(@possible_columns), {:multiple=>true} %>
        <br/>
        <%= f.text_area :rule, :cols=>40, :rows=>15, :placeholder=>'put Rule Text here' %>
        <br/>
        <%= f.submit 'Save Rule' %>
  </fieldset>
 <% end %>
<% end %>


<% if not @rules.empty? %>
<p>
<table id='quoterecord_rules' >
  <% @rules.each do |r| %>
    <tr>
        <td>
            <%= link_to '+', :controller=>'quoterecord_rules', :action=>'new', :id=>r.id %>
            #<%= r.order %>
        </td>
        <td>
            <%= r.name %><span>last modified at <%= smr_humanize r.time_last_modified, :time_for_humans=>true %>
            <span class="comment_text"><%= r.rule %></span>
        </td>
    </tr>
  <% end %>
</table>
</p>
<% end %>


